Skip to content

Delete Project Document

Permanently delete a document attached to a project instance. This is a hard delete and cannot be undone. Requires the PROJECT_MANAGEMENT feature flag and ADMIN or MANAGE_PROJECTS permissions.

Parameters

name * are required parametersdata typedescription
projectInstanceId*stringThe unique identifier of the project instance
documentId*stringThe unique identifier of the document to delete

Return Value

json
{
  "statusCode": 201,
  "data": null,
  "message": "Project document deleted successfully"
}

Examples

bash
curl -X DELETE "https://app.wombat.software/api/{targetPath}/project/:projectInstanceId/document/:documentId" \
  -H "Content-Type: application/json" \
  -H "Authentication: Bearer ..."

ENDPOINTS

delete/api/{targetPath}/project/:projectInstanceId/document/:documentId